<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작업날짜 : 2024년 04월 03일 요일 오

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 관리자 > 프로그램 > 피리 카페 관리 > 게시판 필드 추가하기
=====================================================================

*/

  include_once('./_common.php' );

  auth_check_menu($auth, $sub_menu, 'r');

  $get__p770000_conf = 1;

  $get__p770099 = 1;

  $prog_config_page = 1;

  include_once( piree__path($sub_menu, 'config') );

  $go_url_s = "./index.php";

  $table_f_s = "^". $g5['write_prefix'];

  $table_arr = mysql_list_tables(G5_MYSQL_DB);

  $table_t = mysql_num_rows($table_arr);

  IF ( $table_t > 0)
  {

      FOR( $i=0; $i<$table_t; $i++)
      {

          $table_s = mysql_tablename($table_arr, $i);

          IF (eregi($table_f_s, $table_s))
          {

              $sql = "SELECT * FROM ". $table_s." LIMIT 1";
              $row = sql_fetch($sql);

              IF ( !isset($row['wr_pi_atvt_n'] ))
              {

                  $sql = "ALTER TABLE `". $table_s."` ADD `wr_pi_atvt_n` INT UNSIGNED NOT NULL DEFAULT '0'";
                  sql_query($sql, false);

              }

          }

      }

  }

  goto_url($go_url_s);
  EXIT;

?>